org.cpsolver.coursett.sectioning

## Interface StudentMove

- All Superinterfaces:
    Neighbour<Lecture,Placement>
  All Known Implementing Classes:
    StudentSwap

      public interface StudentMove
      extends Neighbour<Lecture,Placement>

  A simple interface representing a student enrollment change.
  Version:
    CourseTT 1.3 (University Course Timetabling)
    Copyright (C) 2017 Tomáš Müller
    muller@unitime.org
    http://muller.unitime.org
    This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation; either version 3 of the License, or (at your option) any later version.
    This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.
    You should have received a copy of the GNU Lesser General Public License along with this library; if not see http://www.gnu.org/licenses/.
  Author:
    Tomáš Müller

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static double` | `sEps`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `group(List<StudentConflict> criteria, Assignment<Lecture,Placement> assignment)` Student group weight change
    `boolean` | `isAllowed()` Is the change valid / allowed?
    `double` | `value(List<StudentConflict> criteria, Assignment<Lecture,Placement> assignment)` Student conflict weight change

    - ### Methods inherited from interface org.cpsolver.ifs.model.Neighbour

      `assign, assignments, value`

- - ### Field Detail

    - #### sEps

          static final double sEps

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### isAllowed

          boolean isAllowed()

      Is the change valid / allowed?

    - #### value

          double value(List<StudentConflict> criteria,
                       Assignment<Lecture,Placement> assignment)

      Student conflict weight change

    - #### group

          double group(List<StudentConflict> criteria,
                       Assignment<Lecture,Placement> assignment)

      Student group weight change